summaryrefslogtreecommitdiff
path: root/source4/script/tests/test_rpc_quick.sh
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2005-07-17 12:23:40 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:29:35 -0500
commit1735037d5f2b3dc1fa9f5d21721a7dc00c869172 (patch)
tree9cf024480ffec80df154c60872f069036ac34c93 /source4/script/tests/test_rpc_quick.sh
parent039393d6620816789b4ebd131974b23b6420f4dc (diff)
downloadsamba-1735037d5f2b3dc1fa9f5d21721a7dc00c869172.tar.gz
samba-1735037d5f2b3dc1fa9f5d21721a7dc00c869172.tar.bz2
samba-1735037d5f2b3dc1fa9f5d21721a7dc00c869172.zip
r8525: added two more test targets:
- 'make quicktest' for running only quick tests. Finishes in 20 seconds or so. - 'make valgrindtest' runs smbd under valgrind in a xterm window and runs the quick tests. Also disables tls as that slows down valgrind too much to be usable (This used to be commit af36bc401154d278dbe272628110634f62fdba25)
Diffstat (limited to 'source4/script/tests/test_rpc_quick.sh')
-rw-r--r--source4/script/tests/test_rpc_quick.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/source4/script/tests/test_rpc_quick.sh b/source4/script/tests/test_rpc_quick.sh
new file mode 100644
index 0000000000..5f74ba5af3
--- /dev/null
+++ b/source4/script/tests/test_rpc_quick.sh
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+# add tests to this list as they start passing, so we test
+# that they stay passing
+ncacn_np_tests="RPC-ECHO RPC-ALTERCONTEXT"
+ncalrpc_tests="RPC-ECHO RPC-ALTERCONTEXT"
+ncacn_ip_tcp_tests="RPC-ECHO RPC-ALTERCONTEXT"
+
+if [ $# -lt 4 ]; then
+cat <<EOF
+Usage: test_rpc_quick.sh SERVER USERNAME PASSWORD DOMAIN
+EOF
+exit 1;
+fi
+
+server="$1"
+username="$2"
+password="$3"
+domain="$4"
+shift 4
+
+incdir=`dirname $0`
+. $incdir/test_functions.sh
+
+failed=0
+for bindoptions in seal,validate,padcheck bigendian; do
+ for transport in ncalrpc ncacn_np ncacn_ip_tcp; do
+ case $transport in
+ ncalrpc) tests=$ncalrpc_tests ;;
+ ncacn_np) tests=$ncacn_np_tests ;;
+ ncacn_ip_tcp) tests=$ncacn_ip_tcp_tests ;;
+ esac
+ for t in $tests; do
+ name="$t on $transport with $bindoptions"
+ testit "$name" $VALGRIND bin/smbtorture $TORTURE_OPTIONS $transport:"$server[$bindoptions]" -U"$username"%"$password" -W $domain $t "$*" || failed=`expr $failed + 1`
+ done
+ done
+done
+
+testok $0 $failed